# frozen_string_literal: true
=begin
require_relative "lib/simgem/version"

Gem::Specification.new do |spec|
  spec.name          = "simgem"
  spec.version       = Simgem::VERSION
  spec.authors       = ["veerababu"]
  spec.email         = ["veerababu@sykam.org"]
  spec.Simgem
  spec.summary       = "summary, because RubyGems requires one."
  spec.description   = "Write a longer description or delete this line."
  spec.homepage      = "https://bundler.io/guides/creating_gem.html"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")
  spec.license       = "MIT"
  spec.metadata["allowed_push_host"] = " Set to 'http://mygemserver.com'"

  #spec.metadata["homepage_uri"] = spec.homepage
  #spec.metadata["source_code_uri"] = " https://bundler.io/guides/creating_gem.html"
  #spec.metadata["changelog_uri"] = " Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
=end

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "simgem/version"

Gem::Specification.new do |spec|
  spec.name          = "simgem"
  spec.version       = Simgem::VERSION
  spec.authors       = ["Shivam Kaushik"]
  spec.email         = ["shivam.kaushik@outlook.com"]

  spec.summary       = %q{A basic ruby gem I built to use it for my medium article}
  spec.description   = %q{Generates a random greeting along with a name that's provided in the argument}
  spec.homepage      = "http://www.github.com/KaushikShivam"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
end
